import {
    IActionData,
    CoreAction,
    Type,
} from "./interfaces";


export class CCML extends CoreAction {

    // private _paramMap: any = {
    //     id: "id"
    // };

    constructor(ccml: string | string[], public name = "action") {

        super(<IActionData> {
            type: "CCML",
            name: name,
            comments: "",
            params: {
                ccml : ([] as string[]).concat(ccml).join(""),
            },
        });
        this.type = Type.CCML;
    }

    public get id (): string {
        return this.getParam("id");
    }

    public get ccml () {
        return this.getParam("ccml");
    }

    public toCCML (): string {
        return this.ccml;
    }
}
