import {
    IActionData,
    CoreAction,
    Type,
} from "./interfaces";


export class HangUp extends CoreAction {

    private _paramMap: any = {
        id: "id"
    };

    constructor(public name = "action") {

        super(<IActionData> {
            type: "HANGUP",
            name: name,
            comments: "",
            params: {
                id: CoreAction.genId("hangup"),
            }
        });
        this.type = Type.HangUp;
    }

    public get id(): string {
        return this.getParam("id");
    }

    public toCCML(): string {
        return `<HANGUP${super.toCCML(this._paramMap)}/>`;
    }
}
